Bug 57614 - cc1 dies, internal error, on make (perl)
cc1 dies, internal error, on make (perl)
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2001-12-17 12:24 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-12-19 15:20:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-12-17 12:24:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011014

Description of problem:
I'm not sure if this is exactly the right place for the bug, but the error
message told me to submit a bug report so I am.... (It's likely a perl
problem, not a cc problem, but cc is what's throwing the error)

I'm trying to install the stable.tar.gz (perl-5.6.1) tarball because the
rpm'd installed perl keeps crashing the system when using CPAN.  The only
non-default values used for the configure were the installation directories
and not creating symlinks to the new install (ie keeping the old version
around for now)

make depend worked fine.

make dies on the fourth .c file (toke.c)
and gives the following message.
`sh  cflags libperl.a toke.o`  toke.c
	  CCCMD =  cc -DPERL_CORE -c -fno-strict-aliasing -D_LARGEFILE_SOURCE
cc: Internal error: Killed (program cc1)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.custom rh install (stripeed down server, devel tools, ssh)
2.perl-5-6-1 (stable.tar.gz)
3.Configure -D/usr/local/perl -Uinstallusrbinperl

Additional info:
Comment 1 Jakub Jelinek 2001-12-19 09:08:59 EST
If this is reproducible, please add -save-temps to the above command line
and attach here toke.i it creates.
Also, mention output of
sh cflags libperl.a toke.o
Comment 2 Need Real Name 2001-12-19 15:20:45 EST
You can probably close this.  Its no longer reproduceable once the other sysad
stopped messing with the swap partition (was unmounting it for some reason.)  I
suspect the error was dueto a lack of memory and not availible swap space.

Note You need to log in before you can comment on or make changes to this bug.